import * as momentjs from 'moment';
import * as moment_ from 'moment-hijri';
import { __extends } from 'tslib';
import { NgbDateParserFormatter, NgbDate, NgbDatepickerI18n, NgbCalendar, NgbCalendarIslamicUmalqura, NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { DatePipe, CommonModule } from '@angular/common';
import { Injectable, Directive, Optional, SkipSelf, Component, ViewEncapsulation, Input, Output, EventEmitter, ViewChild, NgModule, defineInjectable } from '@angular/core';
import { ControlContainer, NgForm, ReactiveFormsModule, FormsModule } from '@angular/forms';

/**
 * @fileoverview added by tsickle
 * Generated from: lib/hijri-gregorian-datepicker/consts.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var DateType = /** @class */ (function () {
    function DateType() {
    }
    DateType.Hijri = 1;
    DateType.Gregorian = 2;
    return DateType;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/hijri-gregorian-datepicker/date-formatter.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var moment = momentjs;
/** @type {?} */
var momentHijri = moment_;
var DateFormatterService = /** @class */ (function () {
    function DateFormatterService(parserFormatter) {
        this.parserFormatter = parserFormatter;
    }
    /**
     * @param {?} date
     * @return {?}
     */
    DateFormatterService.prototype.ToString = /**
     * @param {?} date
     * @return {?}
     */
    function (date) {
        /** @type {?} */
        var dateStr = this.parserFormatter.format(date);
        return dateStr;
    };
    /**
     * @param {?} hijriDate
     * @param {?} format
     * @return {?}
     */
    DateFormatterService.prototype.ToHijriDateStruct = /**
     * @param {?} hijriDate
     * @param {?} format
     * @return {?}
     */
    function (hijriDate, format) {
        /** @type {?} */
        var hijriMomentDate = momentHijri(hijriDate, format);
        // Parse a Hijri date based on format.
        /** @type {?} */
        var day = hijriMomentDate.iDate();
        /** @type {?} */
        var month = +hijriMomentDate.iMonth() + 1;
        /** @type {?} */
        var year = hijriMomentDate.iYear();
        /** @type {?} */
        var ngDate = new NgbDate(+year, month, +day);
        return ngDate;
    };
    /**
     * @param {?} gregorianDate
     * @param {?} format
     * @return {?}
     */
    DateFormatterService.prototype.ToGregorianDateStruct = /**
     * @param {?} gregorianDate
     * @param {?} format
     * @return {?}
     */
    function (gregorianDate, format) {
        /** @type {?} */
        var momentDate = moment(gregorianDate, format);
        // Parse a Gregorian date based on format.
        /** @type {?} */
        var day = momentDate.date();
        /** @type {?} */
        var month = +momentDate.month() + 1;
        /** @type {?} */
        var year = momentDate.year();
        /** @type {?} */
        var ngDate = new NgbDate(+year, +month, +day);
        return ngDate;
    };
    /**
     * @param {?} date
     * @return {?}
     */
    DateFormatterService.prototype.ToHijri = /**
     * @param {?} date
     * @return {?}
     */
    function (date) {
        if (!date) {
            return null;
        }
        /** @type {?} */
        var dateStr = this.ToString(date);
        /** @type {?} */
        var momentDate = momentHijri(dateStr, 'D/M/YYYY');
        /** @type {?} */
        var day = momentDate.iDate();
        /** @type {?} */
        var month = +momentDate.iMonth() + 1;
        /** @type {?} */
        var year = momentDate.iYear();
        /** @type {?} */
        var ngDate = new NgbDate(+year, month, +day);
        return ngDate;
    };
    /**
     * @param {?} date
     * @return {?}
     */
    DateFormatterService.prototype.ToGregorian = /**
     * @param {?} date
     * @return {?}
     */
    function (date) {
        if (!date) {
            return null;
        }
        /** @type {?} */
        var dateStr = this.ToString(date);
        /** @type {?} */
        var momentDate = momentHijri(dateStr, 'iD/iM/iYYYY');
        /** @type {?} */
        var day = momentDate.locale('en').format('D');
        /** @type {?} */
        var month = momentDate.locale('en').format('M');
        /** @type {?} */
        var year = momentDate.locale('en').format('Y');
        /** @type {?} */
        var ngDate = new NgbDate(+year, +month, +day);
        return ngDate;
    };
    /**
     * @return {?}
     */
    DateFormatterService.prototype.GetTodayHijri = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var todayHijri = momentHijri().locale('en').format('iYYYY/iM/iD');
        return this.ToHijriDateStruct(todayHijri, 'iYYYY/iM/iD');
    };
    /**
     * @return {?}
     */
    DateFormatterService.prototype.GetTodayGregorian = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var todayGregorian = moment().locale('en').format('YYYY/M/D');
        return this.ToGregorianDateStruct(todayGregorian, 'YYYY/M/D');
    };
    DateFormatterService.decorators = [
        { type: Injectable }
    ];
    /** @nocollapse */
    DateFormatterService.ctorParameters = function () { return [
        { type: NgbDateParserFormatter }
    ]; };
    return DateFormatterService;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/ngx-hijri-gregorian-datepicker.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NgxHijriGregorianDatepickerService = /** @class */ (function () {
    function NgxHijriGregorianDatepickerService() {
    }
    NgxHijriGregorianDatepickerService.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */
    NgxHijriGregorianDatepickerService.ctorParameters = function () { return []; };
    /** @nocollapse */ NgxHijriGregorianDatepickerService.ngInjectableDef = defineInjectable({ factory: function NgxHijriGregorianDatepickerService_Factory() { return new NgxHijriGregorianDatepickerService(); }, token: NgxHijriGregorianDatepickerService, providedIn: "root" });
    return NgxHijriGregorianDatepickerService;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/ngx-hijri-gregorian-datepicker.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NgxHijriGregorianDatepickerComponent = /** @class */ (function () {
    function NgxHijriGregorianDatepickerComponent() {
    }
    /**
     * @return {?}
     */
    NgxHijriGregorianDatepickerComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    NgxHijriGregorianDatepickerComponent.decorators = [
        { type: Component, args: [{
                    selector: 'lib-ngx-hijri-gregorian-datepicker',
                    template: "\n    <p>\n      ngx-hijri-gregorian-datepicker works!\n    </p>\n  "
                }] }
    ];
    /** @nocollapse */
    NgxHijriGregorianDatepickerComponent.ctorParameters = function () { return []; };
    return NgxHijriGregorianDatepickerComponent;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/hijri-gregorian-datepicker/hijri-gregorian-datepicker.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var moment$1 = momentjs;
/** @type {?} */
var momentHijri$1 = moment_;
var HijriGregorianDatepickerComponent = /** @class */ (function () {
    function HijriGregorianDatepickerComponent(dateFormatterService) {
        this.dateFormatterService = dateFormatterService;
        this.selectedDateChange = new EventEmitter();
        this.showLabel = true;
        this.readonly = false;
        this.isRequired = false;
        this.disabled = false;
    }
    Object.defineProperty(HijriGregorianDatepickerComponent.prototype, "DateType", {
        get: /**
         * @return {?}
         */
        function () {
            return DateType;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    HijriGregorianDatepickerComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        if (!this.selectedDateType) {
            this.selectedDateType = DateType.Hijri;
        }
    };
    /**
     * @return {?}
     */
    HijriGregorianDatepickerComponent.prototype.close = /**
     * @return {?}
     */
    function () {
        this.datePicker.close();
    };
    /**
     * @return {?}
     */
    HijriGregorianDatepickerComponent.prototype.clear = /**
     * @return {?}
     */
    function () {
        this.selectedDate = undefined;
        this.close();
        this.selectedDateChange.emit(null);
    };
    /**
     * @return {?}
     */
    HijriGregorianDatepickerComponent.prototype.getSelectedDate = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var formattedDate = this.dateFormatterService.ToString(this.selectedDate);
        if (this.selectedDateType == DateType.Hijri) {
            return momentHijri$1(formattedDate, 'iD/iM/iYYYY').locale('en').format();
        }
        if (this.selectedDateType == DateType.Gregorian) {
            return moment$1(formattedDate, 'D/M/YYYY').locale('en').format();
        }
    };
    /**
     * @return {?}
     */
    HijriGregorianDatepickerComponent.prototype.dateSelected = /**
     * @return {?}
     */
    function () {
        this.selectedDateChange.emit(this.selectedDate);
    };
    /**
     * @return {?}
     */
    HijriGregorianDatepickerComponent.prototype.hijriClick = /**
     * @return {?}
     */
    function () {
        if (this.selectedDateType == DateType.Hijri) {
            return;
        }
        this.selectedDateType = DateType.Hijri;
        //to hijri
        this.selectedDate = this.dateFormatterService.ToHijri(this.selectedDate);
        this.selectedDateChange.emit(this.selectedDate);
    };
    /**
     * @return {?}
     */
    HijriGregorianDatepickerComponent.prototype.gregClick = /**
     * @return {?}
     */
    function () {
        if (this.selectedDateType == DateType.Gregorian) {
            return;
        }
        this.selectedDateType = DateType.Gregorian;
        //to Gregorian
        this.selectedDate = this.dateFormatterService.ToGregorian(this.selectedDate);
        this.selectedDateChange.emit(this.selectedDate);
    };
    HijriGregorianDatepickerComponent.decorators = [
        { type: Component, args: [{
                    selector: 'hijri-gregorian-datepicker',
                    template: "\n    <div class=\"form-group\" provideParentForm>\n      <label class=\"requiredInput\" *ngIf=\"showLabel\" for=\"input-birth-Date\">{{ label }} </label>\n\n      <div class=\"input-group\">\n\n        <input  class=\"form-control\"\n                  [placeholder]=\"placeHolder ? placeHolder : 'd/M/yyyy'\"\n                  [name]=\"label\"\n                  *ngIf=\"selectedDateType == DateType.Gregorian\"\n                  [(ngModel)]=\"selectedDate\"\n                  ngbDatepicker (click)=\"d.toggle()\"\n                  (dateSelect)=\"dateSelected()\"\n                  autocomplete=\"off\"\n                  [readonly]=\"readonly\"\n                  [minDate]=\"minGreg\"\n                  [maxDate]=\"maxGreg\"\n                  [required]=\"isRequired\"\n                  [disabled]=\"disabled\"\n                  [footerTemplate]=\"footerTemplate\"\n                  #d=\"ngbDatepicker\">\n\n          <ng-template #footerTemplate>\n            <hr class=\"my-0\">\n            <button class=\"btn btn-secondary btn-sm m-2 float-right\" type=\"button\" (click)=\"close()\">Close</button>\n            <button class=\"btn btn-primary btn-sm m-2 float-left\" type=\"button\" (click)=\"clear()\">Clear</button>\n          </ng-template>\n\n          <hijri-date-picker *ngIf=\"selectedDateType == DateType.Hijri\"\n                             [(selectedDate)]=\"selectedDate\"\n                             (selectedDateChange)=\"dateSelected()\"\n                             [readonly]=\"readonly\"\n                             [min]=\"minHijri\" [max]=\"maxHijri\"\n                             style=\"flex: 1 1 auto;\"\n                             [name]=\"label\"\n                             [isRequired]=\"isRequired\"\n                             [placeHolder]=\"placeHolder\"\n                             [disabled]=\"disabled\">\n          </hijri-date-picker>\n\n          <div class=\"input-group-append\">\n                  <button class=\"btn btn-sm {{selectedDateType == DateType.Hijri ? 'btn-info focus active' :  'btn-outline-info'}}\" (click)=\"hijriClick()\"  [disabled]=\"disabled\" type=\"button\">\n                     {{hijriLabel ? hijriLabel : 'Hijri' }}\n                  </button>\n                  <button class=\"btn btn-sm {{selectedDateType == DateType.Gregorian ? 'btn-info focus active' :  'btn-outline-info'}}\" (click)=\"gregClick()\" [disabled]=\"disabled\" type=\"button\">\n                      {{GregLabel ? GregLabel : 'Gregorian' }}\n                  </button>\n           </div>\n\n      </div>\n  </div>\n"
                }] }
    ];
    /** @nocollapse */
    HijriGregorianDatepickerComponent.ctorParameters = function () { return [
        { type: DateFormatterService }
    ]; };
    HijriGregorianDatepickerComponent.propDecorators = {
        datePicker: [{ type: ViewChild, args: ['d',] }],
        selectedDateType: [{ type: Input }],
        selectedDate: [{ type: Input }],
        selectedDateChange: [{ type: Output }],
        label: [{ type: Input }],
        showLabel: [{ type: Input }],
        readonly: [{ type: Input }],
        isRequired: [{ type: Input }],
        disabled: [{ type: Input }],
        minHijri: [{ type: Input }],
        maxHijri: [{ type: Input }],
        minGreg: [{ type: Input }],
        maxGreg: [{ type: Input }],
        hijriLabel: [{ type: Input }],
        GregLabel: [{ type: Input }],
        placeHolder: [{ type: Input }]
    };
    return HijriGregorianDatepickerComponent;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/hijri-gregorian-datepicker/IslamicI18n.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var WEEKDAYS = ['أحد', 'إثنين', 'ثلاثاء', 'أربعاء', 'خميس', 'جمعة', 'سبت'];
/** @type {?} */
var MONTHS = ['محرم', 'صفر', 'ربيع الأول', 'ربيع الآخر', 'جمادى الأولى', 'جمادى الآخرة', 'رجب', 'شعبان', 'رمضان', 'شوال',
    'ذو القعدة', 'ذو الحجة'];
var IslamicI18n = /** @class */ (function (_super) {
    __extends(IslamicI18n, _super);
    function IslamicI18n() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @param {?} weekday
     * @return {?}
     */
    IslamicI18n.prototype.getWeekdayShortName = /**
     * @param {?} weekday
     * @return {?}
     */
    function (weekday) {
        return WEEKDAYS[weekday - 1];
    };
    /**
     * @param {?} month
     * @return {?}
     */
    IslamicI18n.prototype.getMonthShortName = /**
     * @param {?} month
     * @return {?}
     */
    function (month) {
        return MONTHS[month - 1];
    };
    /**
     * @param {?} month
     * @return {?}
     */
    IslamicI18n.prototype.getMonthFullName = /**
     * @param {?} month
     * @return {?}
     */
    function (month) {
        return MONTHS[month - 1];
    };
    /**
     * @param {?} date
     * @return {?}
     */
    IslamicI18n.prototype.getDayAriaLabel = /**
     * @param {?} date
     * @return {?}
     */
    function (date) {
        return date.day + "-" + date.month + "-" + date.year;
    };
    IslamicI18n.decorators = [
        { type: Injectable }
    ];
    return IslamicI18n;
}(NgbDatepickerI18n));

/**
 * @fileoverview added by tsickle
 * Generated from: lib/hijri-gregorian-datepicker/hijri-datepicker/hijri-datepicker.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var HijriDatepickerComponent = /** @class */ (function () {
    function HijriDatepickerComponent() {
        this.selectedDateChange = new EventEmitter();
        this.readonly = false;
        this.isRequired = false;
        this.disabled = false;
    }
    /**
     * @return {?}
     */
    HijriDatepickerComponent.prototype.changeDate = /**
     * @return {?}
     */
    function () {
        this.selectedDateChange.emit(this.selectedDate);
    };
    /**
     * @return {?}
     */
    HijriDatepickerComponent.prototype.onBlur = /**
     * @return {?}
     */
    function () {
        if (!this.selectedDate) {
            this.selectedDateChange.emit(null);
        }
    };
    /**
     * @return {?}
     */
    HijriDatepickerComponent.prototype.clear = /**
     * @return {?}
     */
    function () {
        this.selectedDate = undefined;
        this.datePicker.close();
        this.selectedDateChange.emit(null);
    };
    HijriDatepickerComponent.decorators = [
        { type: Component, args: [{
                    selector: 'hijri-date-picker',
                    template: "<div provideParentForm>\n<input\n    class=\"form-control hijriInput\"\n    [(ngModel)]=\"selectedDate\"\n    [placeholder]=\"placeHolder ?placeHolder : 'd/M/yyyy'\"\n    ngbDatepicker\n    (click)=\"d.toggle()\"\n    (dateSelect)=\"changeDate()\"\n    #d=\"ngbDatepicker\"\n    [readonly]=\"readonly\"\n    [minDate]=\"min\"\n    [maxDate]=\"max\"\n    [required]=\"isRequired\"\n    [name]=\"name\"\n    (blur)=\"onBlur()\"\n    [footerTemplate]=\"footerTemplate\"\n    [disabled]=\"disabled\" />\n</div>\n\n\n<ng-template #footerTemplate>\n  <hr class=\"my-0\">\n  <button class=\"btn btn-secondary btn-sm m-2 float-right\" type=\"button\" (click)=\"d.close()\">Close</button>\n  <button class=\"btn btn-primary btn-sm m-2 float-left\" type=\"button\" (click)=\"clear()\">Clear</button>\n</ng-template>\n",
                    providers: [
                        { provide: NgbCalendar, useClass: NgbCalendarIslamicUmalqura },
                        { provide: NgbDatepickerI18n, useClass: IslamicI18n }
                    ],
                    encapsulation: ViewEncapsulation.None,
                    styles: [".hijriInput{border-top-left-radius:0;border-bottom-left-radius:0}.ngb-dp-weekday{width:2.1rem!important}"]
                }] }
    ];
    /** @nocollapse */
    HijriDatepickerComponent.ctorParameters = function () { return []; };
    HijriDatepickerComponent.propDecorators = {
        datePicker: [{ type: ViewChild, args: ['d',] }],
        selectedDate: [{ type: Input }],
        selectedDateChange: [{ type: Output }],
        readonly: [{ type: Input }],
        isRequired: [{ type: Input }],
        disabled: [{ type: Input }],
        min: [{ type: Input }],
        max: [{ type: Input }],
        name: [{ type: Input }],
        placeHolder: [{ type: Input }]
    };
    return HijriDatepickerComponent;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/hijri-gregorian-datepicker/CustomNgbDateParserFormatter.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var CustomNgbDateParserFormatter = /** @class */ (function (_super) {
    __extends(CustomNgbDateParserFormatter, _super);
    function CustomNgbDateParserFormatter() {
        var _this = _super.call(this) || this;
        _this.datePipe = new DatePipe('en-US');
        return _this;
    }
    /**
     * @param {?} date
     * @return {?}
     */
    CustomNgbDateParserFormatter.prototype.format = /**
     * @param {?} date
     * @return {?}
     */
    function (date) {
        if (date === null) {
            return '';
        }
        try {
            return this.datePipe.transform(new Date(date.year, date.month - 1, date.day), 'd/M/yyyy');
        }
        catch (e) {
            return '';
        }
    };
    /**
     * @param {?} value
     * @return {?}
     */
    CustomNgbDateParserFormatter.prototype.parse = /**
     * @param {?} value
     * @return {?}
     */
    function (value) {
        /** @type {?} */
        var returnVal;
        if (!value) {
            returnVal = null;
        }
        else {
            try {
                /** @type {?} */
                var dateParts = this.datePipe.transform(value, 'M-d-y').split('-');
                returnVal = { year: parseInt(dateParts[2]), month: parseInt(dateParts[0]), day: parseInt(dateParts[1]) };
            }
            catch (e) {
                returnVal = null;
            }
        }
        return returnVal;
    };
    CustomNgbDateParserFormatter.decorators = [
        { type: Injectable }
    ];
    /** @nocollapse */
    CustomNgbDateParserFormatter.ctorParameters = function () { return []; };
    return CustomNgbDateParserFormatter;
}(NgbDateParserFormatter));

/**
 * @fileoverview added by tsickle
 * Generated from: lib/hijri-gregorian-datepicker/provide-parent-form.directive.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} form
 * @return {?}
 */
function test(form) {
    return form;
}
var ProvideParentFormDirective = /** @class */ (function () {
    function ProvideParentFormDirective() {
    }
    ProvideParentFormDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[provideParentForm]',
                    providers: [
                        {
                            provide: ControlContainer,
                            useFactory: test,
                            deps: [[new Optional(), new SkipSelf(), NgForm]]
                        }
                    ]
                },] }
    ];
    /** @nocollapse */
    ProvideParentFormDirective.ctorParameters = function () { return []; };
    return ProvideParentFormDirective;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/ngx-hijri-gregorian-datepicker.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NgxHijriGregorianDatepickerModule = /** @class */ (function () {
    function NgxHijriGregorianDatepickerModule() {
    }
    NgxHijriGregorianDatepickerModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [
                        NgxHijriGregorianDatepickerComponent,
                        HijriGregorianDatepickerComponent,
                        HijriDatepickerComponent,
                        ProvideParentFormDirective
                    ],
                    imports: [
                        CommonModule,
                        ReactiveFormsModule,
                        FormsModule,
                        NgbModule
                    ],
                    providers: [
                        { provide: NgbDateParserFormatter, useClass: CustomNgbDateParserFormatter },
                        DateFormatterService
                    ],
                    exports: [HijriGregorianDatepickerComponent, NgxHijriGregorianDatepickerComponent]
                },] }
    ];
    return NgxHijriGregorianDatepickerModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: public-api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: ngx-hijri-gregorian-datepicker.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { DateType, DateFormatterService, NgxHijriGregorianDatepickerService, NgxHijriGregorianDatepickerComponent, HijriGregorianDatepickerComponent, NgxHijriGregorianDatepickerModule, CustomNgbDateParserFormatter as ɵe, IslamicI18n as ɵb, HijriDatepickerComponent as ɵa, ProvideParentFormDirective as ɵd, test as ɵc };

//# sourceMappingURL=ngx-hijri-gregorian-datepicker.js.map